MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::EfieldDotVectorIntV3 Class Reference
Inheritance diagram for sc::EfieldDotVectorIntV3:
[legend]
Collaboration diagram for sc::EfieldDotVectorIntV3:
[legend]

## Public Member Functions
| EfieldDotVectorIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< EfieldDotVectorData > &)
void | compute_shell (int, int)
| Computes the integrals between basis functions in the given shell pair. More...
Public Member Functions inherited from sc::OneBodyInt
int | nbasis () const
| Returns the number of basis functions on center one.
int | nbasis1 () const
| Returns the number of basis functions on the center one.
int | nbasis2 () const
| Returns the number of basis functions on the center two.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on the center one.
int | nshell2 () const
| Return the number of shells on the center two.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on the center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on the center two.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed. More...
virtual bool | cloneable ()
| Return true if the clone member can be called. More...
virtual Ref< OneBodyInt > | clone ()
| Returns a clone of this. More...
Integral * | integral () const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes
Ref< Int1eV3 > | int1ev3_
Ref< EfieldDotVectorData > | data_
Protected Attributes inherited from sc::OneBodyInt
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
double * | buffer_

## Additional Inherited Members
Protected Member Functions inherited from sc::OneBodyInt
| OneBodyInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0)

## Member Function Documentation

void sc::EfieldDotVectorIntV3::compute_shell | ( | int | ,
|  | int |
| ) |  |
| virtual

Computes the integrals between basis functions in the given shell pair.

Implements sc::OneBodyInt.

The documentation for this class was generated from the following file:

- obintv3.h